# create

@Synchronized
fun create(config: CreateConfig): String(source)

Converts a long url to a Bitlink and sets additional parameters.

See the Bit.ly API for more information.

#### Return

The shortened URL or an empty string on error.

#### Parameters

config

The parameters' configuration.

@Synchronized
fun create(domain: String = Constants.EMPTY, title: String = Constants.EMPTY, group_guid: String = Constants.EMPTY, tags: Array<String> = emptyArray(), deeplinks: Array<Map<String, String>> = emptyArray(), long_url: String, toJson: Boolean = false): String(source)

Converts a long url to a Bitlink and sets additional parameters.

See the Bit.ly API for more information.

#### Return

The shortened URL or an empty string on error.

#### Parameters

domain

A branded short domain or `bit.ly` by default.

group_guid

A GUID for a Bitly group.

long_url

The long URL.

toJson

Returns the full JSON response if `true`.